Name:           telepathy-salut
Version:        0.2.0
Release:        2%{?dist}
Summary:        Link-local XMPP telepathy connection manager

Group:          Applications/Communications
License:        LGPLv2+
URL:            http://telepathy.freedesktop.org/wiki/FrontPage
Source0:        http://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz
Patch0:         salut-olpc-no-dbus-uid-check.patch
Patch1:         salut-chmod-unix-socket.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  dbus-devel >= 1.1.0
BuildRequires:  dbus-glib-devel >= 0.61
BuildRequires:  avahi-glib-devel
BuildRequires:  libxml2-devel
BuildRequires:  openssl-devel
BuildRequires:  cyrus-sasl-devel
BuildRequires:  libxslt
BuildRequires:  telepathy-glib-devel >= 0.6.1
BuildRequires:  check-devel

Requires:       telepathy-filesystem

%description
%{name} is a Telepathy connection manager for link-local XMPP.
Normally, XMPP does not support direct client-to-client interactions,
since it requires authentication with a server.  This package makes
it is possible to establish an XMPP-like communications system on a
local network using zero-configuration networking.


%prep
%setup -q
%patch0 -p1 -b .dbus-uid
%patch1 -p1 -b .chmod-socket


%build
%configure --enable-olpc
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS
%{_libexecdir}/%{name}
%{_datadir}/dbus-1/services/*.service
%{_datadir}/telepathy/managers/*.manager
%{_mandir}/man8/%{name}.8.gz

%changelog
* Wed Dec 12 2007 Dafydd Harries <dafydd.harries@collabora.co.uk> - 0.2.0-2.olpc2
- dev.laptop.org #5445: Can't accept a stream tube with an Unix socket because of
  Rainbow

* Fri Dec 07 2007 Dafydd Harries <dafydd.harries@collabora.co.uk> - 0.2.0-1.olpc2
- New upstream release.
- dev.laptop.org #5204: UNIX Sockets derived from Stream Tubes don't work over
  Salut.
- dev.laptop.org #5333: Idle Clique session not scaling as they should

* Tue Nov 27 2007 Sjoerd Simons <sjoerd.simons@collabora.co.uk> - 0.1.11-1.olpc2
- New upstream release
- dev.laptop.org #5184: Don't stop senders that were already stopped. Avoids an
  assertion failure
- dev.laptop.org #5185: Ignore repaire request for packets we don't already
  have after a sender has been stopped. Avoids an assertion failure
- dev.laptop.org #5186: Fix various issues when a senders fails during the
  joining process. Avoids various assertion failures.
- dev.laptop.org #5176: Return a tube channel immediately after creating it
  instead of delaying it untill after the underlying text channel has been
  connected. Makes private invitation works as this matches the behaviour the
  PS was expecting.
- dev.laptop.org #5200: Only announce rooms we are connected to, thus for rooms
  for which we actually know their parameters. Fixes an assertion failure.

* Tue Nov 27 2007 Simon McVittie <simon.mcvittie@collabora.co.uk> - 0.1.10-0.10.olpc2
- New upstream release
- dev.laptop.org #5070: when a node fails during a join, let the join process
  take care of the removal from members, to avoid a crash
- dev.laptop.org #5071: check sender's state when signalling failure, to
  avoid a crash
- dev.laptop.org #5108: correctly reset the progress timer when data is received
- dev.laptop.org #5109: if asked to repeat a packet twice, actually repeat it
- dev.laptop.org #5110: keep failed nodes' packets cached until everyone has
  acknowledged them
- Remove patch for #5015 (no longer needed, it's in the release)

* Mon Nov 19 2007 Dafydd Harries <dafydd.harries@collabora.co.uk> - 0.1.9-0.10.olpc2
- dev.laptop.org #5015: Fix crash due to handles not being validated.

* Thu Nov 15 2007 Robert McQueen <robert.mcqueen@collabora.co.uk> - 0.1.9-0.9.olpc2
- dev.laptop.org #4947: Add OLPC-specific patch to disable checking of the
  UID connecting to D-Bus tubes.
- Properly quote a %% character in earlier in the changelog.
- Fix whitespace issues in the BuildRequires and Requires lines.

* Wed Nov 14 2007 Simon McVittie <simon.mcvittie@collabora.co.uk> - 0.1.9-0.8
- New upstream release
- dev.laptop.org #4903: fix crash in unreliable mesh networks
- dev.laptop.org #4885: fix crash when changing network while announcing an
  activity
- dev.laptop.org #4886: make persist behaviour the same as Gabble 0.7.1
- BuildRequires: telepathy-glib-devel 0.6.1 for the #4886 fix to work

* Mon Nov 12 2007 Simon McVittie <simon.mcvittie@collabora.co.uk> - 0.1.7-0.8
- New upstream release
- dev.laptop.org #4786: don't assert when data packets come from failing members
- dev.laptop.org #4666, #4744, #4750: set flags correctly when fragmenting
  messages

* Thu Nov 08 2007 Simon McVittie <simon.mcvittie@collabora.co.uk> - 0.1.6-0.8
- dev.laptop.org #4437: sync with new upstream release, after code review
  - fix a memory leak
  - miscellaneous coding-style cleanup
- sync spec file with Fedora 8 0.1.6-1 (thanks, Brian Pepple); the only
  OLPC-specific change is now --enable-olpc

* Thu Nov 08 2007 Simon McVittie <simon.mcvittie@collabora.co.uk> - 0.1.5.1-0.7.olpc20071106.1
- dev.laptop.org #4402: Make contacts go offline 20 minutes after the
  Avahi resolver marks them as failed. Background: what we'd usually do is
  to make them go offline as soon as they were marked as failed, but on large
  mesh networks, connectivity is apparently bad enough that contacts would
  continually bounce between offline and online in this situation, so we give
  them a grace period of 20 minutes. In versions older than this one, we never
  took people offline due to failed resolution (i.e. an unlimited grace
  period). [cassidy]

* Fri Nov 02 2007 Simon McVittie <simon.mcvittie@collabora.co.uk> - 0.1.5.1-0.6.olpc20071102.2
- dev.laptop.org #4044: Finalize the new chatroom/activity protocol, now
  officially named Clique version 1 (sjoerd)
- Deliberately break mDNS compatibility to make sure older builds
  don't see Clique chatrooms, and builds supporting Clique don't see pre-Clique
  chatrooms (reducing the ill effects of the protocol break):
  - _salut-room._udp -> _clique._udp
  - _olpc-activity._udp -> _olpc-activity1._udp
  - Invitation namespace is now http://telepathy.freedesktop.org/xmpp/clique
    for the same reason

* Fri Nov 02 2007 Simon McVittie <simon.mcvittie@collabora.co.uk> - 0.1.5.1-0.5.olpc20071102
- Implement stream tubes using existing Gibber TCP transport code - less code
  means fewer bugs (cassidy)
- dev.laptop.org #4241: don't close stream tubes prematurely - now works with
  ReadActivity, with the patches from #4297 to use stream tubes (smcv)

* Thu Nov 01 2007 Simon McVittie <simon.mcvittie@collabora.co.uk> - 0.1.5.1-0.5.olpc20071101
- Fix assertion failure when an existing tubes channel is re-requested, which
  now often happens during activity sharing (#4565)

* Fri Oct 26 2007 Simon McVittie <simon.mcvittie@collabora.co.uk> - 0.1.5.1-0.5.olpc20071026
- New snapshot
  - Implement stream tubes in rooms (laptop.org #4241)
  - Echo broadcast D-Bus messages back to the sender like Gabble does
    (laptop.org #4304)
- Now installs in $libexecdir, spec file amended accordingly

* Wed Oct 24 2007 Simon McVittie <simon.mcvittie@collabora.co.uk> - 0.1.5.1-0.5.olpc20071024
- New snapshot
- Fixes brown-paper-bag bug in Tubes (laptop.org #4438)

* Tue Oct 23 2007 Simon McVittie <simon.mcvittie@collabora.co.uk> - 0.1.5.1-0.5.olpc20071022
- Tweak use of %%setup macro because we're now building snapshot tarballs with the inner directory containing the alpha tag (for jhbuild's benefit)

* Mon Oct 22 2007 Simon McVittie <simon.mcvittie@collabora.co.uk> - 0.1.5.1-0.4.olpc20071022
- New snapshot
- Don't build against telepathy-glib-unstable (no longer needed)

* Thu Sep 13 2007 John (J5) Palmieri <johnp@redhat.com> - 0.1.4.1-0.4.olpc_trial3_20070912
- update to snapshot

* Mon Sep 10 2007 Dan Williams <dcbw@redhat.com> - 0.1.4.1-0.3.20070910darcs.olpc2
- New snapshot

* Wed Aug 29 2007 John (J5) Palmieri <johnp@redhat.com> - 0.1.4.1-0.2.20070829darcs.olpc2
- Build against telepathy-glib-0.5.14

* Wed Aug 29 2007 John (J5) Palmieri <johnp@redhat.com> - 0.1.4.1-0.1.20070829darcs.olpc2
- New snapshot with better tubes code

* Fri Jul 20 2007 Dan Williams <dcbw@redhat.com> - 0.1.3.1-0.4.20070720darcs.olpc2
- Pull from darcs head
    - Better debugging info
    - More resilient in flakey networks

* Sun Jul 15 2007 Dan Williams <dcbw@redhat.com> - 0.1.3.1-0.3.20070715darcs.olpc2
- Remove upstreamed patches
- Send CurrentActivityChanged signal when the current activity changes

* Fri Jul 13 2007 Dan Williams <dcbw@redhat.com> - 0.1.3.1-0.3.20070713darcs.olpc2
- Put IPv4 and IPv6 addresses into buddy properties

* Fri Jul 13 2007 Dan Williams <dcbw@redhat.com> - 0.1.3.1-0.2.20070713darcs.olpc2
- Update to trunk of telepathy-salut-olpc-trial2 darcs branch
- Fixes link-local activity detection and sharing issues

* Thu Jul  5 2007 Dan Williams <dcbw@redhat.com> - 0.1.3.1-0.1.20070705darcs.olpc2
- Update to HEAD, enable OLPC bits

* Tue Jun 26 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.1.3-1
- Update to 0.1.3.
- Add BR on telepathy-glib-devel & libxslt.

* Mon Apr 16 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.1.1-1
- Update to 0.1.1
- Add BR on openssl-devel & cyrus-sasl-devel.

* Sun Jan 21 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.1.0-1
- Initial Fedora spec file.

